var path = require('path');

module.exports = {
  entry: './app/index.jsx',
  output: {
    filename: 'bundle.js',
    path: path.resolve(__dirname, 'dist')
  },
  target: 'electron',
  module: {
    loaders: [
      { test: /\.(?:jsx|js)$/, 
        exclude: /node_modules/, 
        loader: 'babel-loader' 
      }, {
        test: /\.css$/, // Only .css files
        loader: 'style-loader!css-loader' // Run both loaders
      },
    ]
  },
  resolve: {
    alias: {
      adbkit: 'adbkit',
      bluebird: 'bluebird',
      http: 'http',
      './src/adb': '',
      './src/monkey': '',
      './src/logcat': ''
    }
  },
  externals: [{ 'electron-config': 'require("electron-config")' }]
};